classdef NDFDecoder
    properties
        coderFormat
    end
    methods
        function obj = NDFDecoder(fmt)
            obj.coderFormat = fmt;
        end      
    end
   methods(Static)
       function ResStr = Decode(srcStr)
           tf = srcStr<128;
           isEn = all(tf(:));
           if isEn
               ResStr = strcat(char(srcStr)');
           else   
                strCh = native2unicode(srcStr,'GB2312'); %'GB2312'
                ResStr= strcat(strCh');
           end   
       end
       function ResBl = IsASCII(srcStr)
           tf = srcStr<128;
           isEn = all(tf(:));
           if isEn
               ResBl = true;
           else   
                ResBl = false;
           end 
           
       end
       
   end
end
